
FTN,L
      PROGRAM RND(3)
      DIMENSION IB(10000)
      DATA SCALE/256./
      WRITE(1,10)
10    FORMAT("SWITCH 1 LOESCHEN, SWITCH 0 ANHALTEN, SONST :OFF")
1     CALL SCOPE(IB,10000)
      CALL UNIT(13)
3     CALL POINT(INT(RAND(0)*SCALE),INT(RAND(0)*SCALE))
      IF(ISSW(1))1,2
2     IF(ISSW(0))2,3
      END
      END$

-------------------------

ASMB,L,X
      NAM RAND,7
      ENT RAND
      EXT .ENTR,.PACK
*
* RANDOM GENERATOR FROM 2000B
* CALL BY :  X=RAND(DUMMY PARAMETER)
*
RNDX1 NOP
RNDX2 NOP
RNDA1 DEC 1490
RNDA2 DEC 3805
RNDC1 OCT 16441
RNDC2 OCT 7701
PAR   NOP
* 
RAND  NOP 
      JSB .ENTR 
      DEF PAR 
* 
      LDA RNDX1 
      MPY RNDA2 
      STA RNDX1 
      LDA RNDX2
      MPY RNDA1 
      ADA RNDX1 
      ADA RNDC1 
      STA RNDX1 
      CLA,CLE 
      STA EXP
      LDA RNDX2 
      MPY RNDA2 
      ADA RNDC2 
      SEZ 
      INB 
      RAL,CLE,ERA 
      STA RNDX2 
      ELB 
      ADB RNDX1 
      ELB,CLE,ERB 
      STB RNDX1 
      RAL 
SWP   STA PAR 
      LDA 1 
      LDB PAR 
      JSB .PACK 
EXP   NOP
      CPB =D2
      RSS
      JMP RAND,I
      LDA =B7777
      LDB =D-256
      JMP RAND,I
      END
